petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecStepBoundInfo

See below

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStepBoundInfo(Vec X, Vec DX, Vec XL, Vec XU, PetscReal *boundmin, PetscReal *wolfemin, PetscReal *boundmax)

Collective on Vec

### Input Parameters

| X | - vector with no negative entries
| XL | - lower bounds
| XU | - upper bounds
| DX | - step direction, can have negative, positive or zero entries

### Output Parameter

| boundmin | - maximum value so that XL[i] <= X[i] + boundmax*DX[i] <= XU[i]
| wolfemin | -
| boundmax | - minimum value so that X[i] + boundmax*DX[i] <= XL[i] or XU[i] <= X[i] + boundmax*DX[i]

Level:advanced
Location:src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages